.header {
  padding-top: 2em;
  position: relative;
  margin-bottom: 2em;

  .header__wrapper {
    display: flex;
    justify-content: flex-end;
    align-items: center;

    @media (min-width: 767px) {
      justify-content: center;
    }
  }

  .header__menu-icon {
    width: 44px;
    height: 37px;

    @media (min-width: 767px) {
      display: none;
    }

    &.header__menu-icon--hide {
      display: none;
    }
  }

  .header__menu {
    display: none;
    flex-direction: column;
    min-width: calc(182 / 12) * 1em;
    position: absolute;
    background: $light-color;
    top: 100%;

    &.header__menu--show {
      display: flex;
    }

    @media (min-width: 767px) {
      display: flex;
      flex-direction: row;
      justify-content: space-between;
      position: relative;
      background: none;
      max-width: 80%;
      width: 100%;
    }

    .header__menu-item {
      color: $font-color;
      font-size: calc(11 / 12) * 1em;
      letter-spacing: 1.1px;
      text-transform: uppercase;
      padding: .33em 0 .33em 1em;
      transition: background-color, color 0.3s ease-in-out;

      @media (min-width: 767px) {
        padding: 0;
      }

      &.header__menu-item--active {
        color: $color-primary;
      }

      &:hover {
        background: $accent-background-color;

        @media (min-width: 767px) {
          background: none;
          color: $accent-background-color;
        }
      }
    }
  }
}